> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hicap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists available models

> Returns the public model catalog available through the Hicap API. Use model IDs from this response in OpenAI-compatible endpoints such as /chat/completions.

Use `GET /v1/models` to list public Hicap model IDs. This endpoint does not require authentication. Pass one of these IDs as the `model` value in OpenAI-compatible endpoints such as [chat completions](/api-reference/endpoints/openAI/creates-a-completion-for-the-chat-message).

<Info>
  For the full public model catalog with pricing and context windows, see [All Models](https://hicap.ai/models).
</Info>

```bash theme={null}
curl https://api.hicap.ai/v1/models
```

The response follows the OpenAI-compatible list shape:

```json theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "gpt-5.5",
      "object": "model",
      "owned_by": "openai"
    },
    {
      "id": "gpt-5.5-pro",
      "object": "model",
      "owned_by": "openai"
    },
    {
      "id": "gpt-5",
      "object": "model",
      "owned_by": "openai"
    }
  ]
}
```

## OpenAI model references

The public model list can include these OpenAI models:

| Model ID      | Object  | Reference                                                                        |
| ------------- | ------- | -------------------------------------------------------------------------------- |
| `gpt-5.5`     | `model` | [GPT-5.5 Model ↗](https://developers.openai.com/api/docs/models/gpt-5.5)         |
| `gpt-5.5-pro` | `model` | [GPT-5.5 pro Model ↗](https://developers.openai.com/api/docs/models/gpt-5.5-pro) |


## OpenAPI

````yaml get /models
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hicap.ai/v1
security:
  - apiKeyAuth: []
paths:
  /models:
    get:
      summary: Lists available models
      description: >-
        Returns the public model catalog available through the Hicap API. Use
        model IDs from this response in OpenAI-compatible endpoints such as
        /chat/completions.
      operationId: Models_List
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - object
                  - data
                properties:
                  object:
                    type: string
                    enum:
                      - list
                    example: list
                    description: The object type, always list.
                  data:
                    type: array
                    description: Public model objects available through the Hicap API.
                    items:
                      $ref: '#/components/schemas/modelObject'
              examples:
                models:
                  summary: Model list
                  value:
                    object: list
                    data:
                      - id: gpt-5.5
                        object: model
                        owned_by: openai
                      - id: gpt-5.5-pro
                        object: model
                        owned_by: openai
                      - id: gpt-5
                        object: model
                        owned_by: openai
          headers:
            x-request-id:
              description: Request ID for troubleshooting purposes.
              schema:
                type: string
        default:
          description: An error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
          headers:
            x-request-id:
              description: Request ID for troubleshooting purposes.
              schema:
                type: string
      security: []
components:
  schemas:
    modelObject:
      type: object
      required:
        - id
        - object
      properties:
        id:
          type: string
          description: The model ID to pass in the model field of compatible API requests.
          example: gpt-5
        object:
          type: string
          enum:
            - model
          description: The object type, always model.
          example: model
        created:
          type: integer
          description: >-
            Unix timestamp for when the model object was created, when
            available.
          example: 1700000000
        owned_by:
          type: string
          description: Provider or organization that owns the model.
          example: openai
    errorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/error'
    error:
      type: object
      allOf:
        - $ref: '#/components/schemas/errorBase'
      properties:
        param:
          type: string
        type:
          type: string
        inner_error:
          $ref: '#/components/schemas/innerError'
    errorBase:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
    innerError:
      description: Inner error with additional details.
      type: object
      properties:
        code:
          $ref: '#/components/schemas/innerErrorCode'
        content_filter_results:
          $ref: '#/components/schemas/contentFilterPromptResults'
    innerErrorCode:
      description: Error codes for the inner error object.
      enum:
        - ResponsibleAIPolicyViolation
      type: string
      x-ms-enum:
        name: InnerErrorCode
        modelAsString: true
        values:
          - value: ResponsibleAIPolicyViolation
            description: The prompt violated one of more content filter rules.
    contentFilterPromptResults:
      type: object
      description: >-
        Information about the content filtering category (hate, sexual,
        violence, self_harm), if it has been detected, as well as the severity
        level (very_low, low, medium, high-scale that determines the intensity
        and risk level of harmful content) and if it has been filtered or not.
        Information about jailbreak content and profanity, if it has been
        detected, and if it has been filtered or not. And information about
        customer block list, if it has been filtered and its id.
      allOf:
        - $ref: '#/components/schemas/contentFilterResultsBase'
        - properties:
            jailbreak:
              $ref: '#/components/schemas/contentFilterDetectedResult'
            indirect_attack:
              $ref: '#/components/schemas/contentFilterDetectedResult'
    contentFilterResultsBase:
      type: object
      description: Information about the content filtering results.
      properties:
        sexual:
          $ref: '#/components/schemas/contentFilterSeverityResult'
        violence:
          $ref: '#/components/schemas/contentFilterSeverityResult'
        hate:
          $ref: '#/components/schemas/contentFilterSeverityResult'
        self_harm:
          $ref: '#/components/schemas/contentFilterSeverityResult'
        profanity:
          $ref: '#/components/schemas/contentFilterDetectedResult'
        custom_blocklists:
          $ref: '#/components/schemas/contentFilterDetailedResults'
        error:
          $ref: '#/components/schemas/errorBase'
    contentFilterDetectedResult:
      type: object
      allOf:
        - $ref: '#/components/schemas/contentFilterResultBase'
        - properties:
            detected:
              type: boolean
      required:
        - detected
        - filtered
    contentFilterSeverityResult:
      type: object
      allOf:
        - $ref: '#/components/schemas/contentFilterResultBase'
        - properties:
            severity:
              type: string
              enum:
                - safe
                - low
                - medium
                - high
              x-ms-enum:
                name: ContentFilterSeverity
                modelAsString: true
                values:
                  - value: safe
                    description: >-
                      General content or related content in generic or
                      non-harmful contexts.
                  - value: low
                    description: Harmful content at a low intensity and risk level.
                  - value: medium
                    description: Harmful content at a medium intensity and risk level.
                  - value: high
                    description: Harmful content at a high intensity and risk level.
      required:
        - severity
        - filtered
    contentFilterDetailedResults:
      type: object
      description: >-
        Content filtering results with a detail of content filter ids for the
        filtered segments.
      allOf:
        - $ref: '#/components/schemas/contentFilterResultBase'
        - properties:
            details:
              items:
                $ref: '#/components/schemas/contentFilterIdResult'
              type: array
      required:
        - filtered
        - details
    contentFilterResultBase:
      type: object
      properties:
        filtered:
          type: boolean
      required:
        - filtered
    contentFilterIdResult:
      type: object
      allOf:
        - $ref: '#/components/schemas/contentFilterResultBase'
        - properties:
            id:
              type: string
      required:
        - id
        - filtered
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: Your Hicap API key.

````